<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no" />
  <style>
    .info {
      text-align: center;
      /* disable selection */
      user-select: none;
      -moz-user-select: none;
      /* Firefox */
      -ms-user-select: none;
      /* Internet Explorer/Edge */
      -webkit-user-select: none;
      /* Safari */
    }
  </style>
  <script src="assets/joy.js"></script>
  <script src="assets/socket.js"></script>
  <title>Joystick</title>
</head>

<body>
  <p class="info">
    X: <span id="x_pos"> </span> Y: <span id="y_pos"> </span>
    <br />
    connection:
    <span id="conn_status" style="font-weight: bold">?</span>
  </p>
  <div id="joystick" style="width: 300px; height: 300px; margin: 50px auto"></div>
  <script type="text/javascript">
    console.log("creating joystick");
    var joystick = new JoyStick("joystick");

    var active = false; // keep track of state to send zeros.

    function send_data() {
      var data = { y: -joystick.GetX(), x: joystick.GetY() };

      document.getElementById("x_pos").innerText = data.x;
      document.getElementById("y_pos").innerText = data.y;

      //  only send data if not in zero position
      if (data.x == 0 && data.y == 0) {
        if (active) {
          active = false;
          data = { x: 0, y: 0 };
          data = JSON.stringify(data);
          sendJoystickData(data);
        }
        return;
      }
      active = true;
      data = JSON.stringify(data);
      // console.log(data);
      sendJoystickData(data);
    }
    setInterval(send_data, 100);
  </script>
</body>

</html>
